Vous êtes nouveau sur Developpez.com ? Créez votre compte ou connectez-vous afin de pouvoir participer !

Vous devez avoir un compte Developpez.com et être connecté pour pouvoir participer aux discussions.

Vous n'avez pas encore de compte Developpez.com ? Créez-en un en quelques instants, c'est entièrement gratuit !

Si vous disposez déjà d'un compte et qu'il est bien activé, connectez-vous à l'aide du formulaire ci-dessous.

Identifiez-vous
Identifiant
Mot de passe
Mot de passe oublié ?
Créer un compte

L'inscription est gratuite et ne vous prendra que quelques instants !

Je m'inscris !

Nouvelle version de Jena 2.7.4
Ainsi que de Fuseki 0.2.5, avec le support complet de SPARQL 1.1

Le , par snake264

32PARTAGES

0  0 
La nouvelle version de Jena 2.7.4 sort avec une nouvelle version de Fuseki 0.2.5.

Cette version est maintenant totalement compatible avec les tests de SPARQL 1.1 pour les requêtes, le protocole et la mise à jour. Elle inclut également plusieurs améliorations pour la reprise lors d'incidents avec TDB.

Quelques parties sont maintenant devenues dépréciés :
  • le support de la migration pour la soumission du W3C conduisant à SPARQL Update est déprécié. SPARQL 1.1 Update est standard et plus expressif. Des avertissements seront affichés en cas d'utilisation ;
  • la plupart des opérations en vrac sur la mise à jour du gestionnaire de bas niveau sont dépréciés et les opérations restantes seront migrées vers l'interface Graph. Si cela vous affecte, laissez votre projet tel quel. Cela n'affectera pas l'API Jena ;
  • le support pour DAML+OIL (le vocabulaire) est déprécié dans cette version et sera bientôt supprimé.


Vous pouvez télécharger cette nouvelle version sur le site de Jena.

Source : mailing list de Jena

Une erreur dans cette actualité ? Signalez-le nous !